Skip to main content
POST
/
retailers
/
api
/
v1
/
offers
/
{offer_id}
/
overrides
Create regional override
curl --request POST \
  --url https://www.closient.com/retailers/api/v1/offers/{offer_id}/overrides \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "region": "<string>",
  "sku": "<string>",
  "url": "<string>",
  "price": 123,
  "price_currency": "<string>",
  "quantity_on_hand": 123,
  "status": "<string>",
  "metadata": {},
  "source": "<string>",
  "source_priority": 123,
  "source_reference": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "region": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "sku": "<string>",
  "url": "<string>",
  "price": "<string>",
  "price_currency": "<string>",
  "quantity_on_hand": 123,
  "status": "<string>",
  "metadata": {},
  "source": "<string>",
  "source_priority": 123,
  "source_reference": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

offer_id
string<uuid>
required

Unique identifier of the offer.

Body

application/json
region
string
required
sku
string | null
url
string | null
price
price_currency
string | null
quantity_on_hand
integer | null
status
string | null
metadata
Metadata · object
source
string | null
source_priority
integer | null
source_reference
string | null

Response

OK

id
string<uuid>
required

Unique override identifier.

offer_id
string<uuid>
required

Parent offer this override applies to.

region
string
required

ISO 3166-1 alpha-2 region code.

created
string<date-time>
required

When the override was created.

sku
string | null

Region-specific SKU override.

url
string | null

Region-specific URL override.

price
string | null

Region-specific price override.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
price_currency
string | null

ISO 4217 currency for this region.

quantity_on_hand
integer | null

Region-specific inventory quantity.

status
string | null

Region-specific offer status.

metadata
Metadata · object

Arbitrary metadata for this override.

source
string | null

Data source for this override.

source_priority
integer | null

Priority for source conflict resolution (lower wins).

source_reference
string | null

External reference for the data source.